Skip to main content
`Ctrl`+`K`

# PCGAMGSetNSmooths

Set number of smoothing steps (1 is typical) used to construct the prolongation operator

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGAMGSetNSmooths(PC pc, PetscInt n)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- n - the number of smooths

## Options Database Key

- -pc_gamg_agg_nsmooths <nsmooth, default=1> - number of smoothing steps to use

## Note

This is a different concept from the number smoothing steps used during the linear solution process which can be set with `-mg_levels_ksp_max_it`

## Developer Note

This should be named `PCGAMGAGGSetNSmooths()`.

## See Also

the Users Manual section on PCGAMG, the Users Manual section on PCMG, KSP: Linear System Solvers, `PCMG`, `PCGAMG`

## Level

intermediate

## Location

src/ksp/pc/impls/gamg/agg.c

## Implementations

PCGAMGSetNSmooths_AGG() in src/ksp/pc/impls/gamg/agg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages